//+------------------------------------------------------------------+
//|                                                  EAS Signals.mq4 |
//|                                                                  |
//|                                        http://www.metaquotes.net |
//+------------------------------------------------------------------+

#property indicator_chart_window
#property indicator_buffers 2
#property indicator_color1 Blue
#property indicator_color2 Red
#property indicator_width1 3
#property indicator_width2 3 

extern bool Sound = true;

//---- buffers
double ExtMapBuffer1[];
double ExtMapBuffer2[];
//----
double adxcBlueC;
double adxcRedC;
double adxcBlueN;
double adxcRedN;
double apaBlueC;
double apaRedC;
double apaBlueN;
double apaRedN;
int cTime;
int nTime;
//----
int    nShift;   
//+------------------------------------------------------------------+
//| Custom indicator initialization function                         |
//+------------------------------------------------------------------+
int init()
  {
//---- indicators
    SetIndexStyle(0, DRAW_ARROW, 0, 1);
    SetIndexArrow(0, 221);
    SetIndexBuffer(0, ExtMapBuffer1);
//----
    SetIndexStyle(1, DRAW_ARROW, 0, 1);
    SetIndexArrow(1, 222);
    SetIndexBuffer(1, ExtMapBuffer2);

//----
    switch(Period())
      {
        case     1: cTime = 1;     nTime = 5;      break;    
        case     5: cTime = 5;     nTime = 15;     break; 
        case    15: cTime = 15;    nTime = 30;     break; 
        case    30: cTime = 30;    nTime = 60;     break; 
        case    60: cTime = 60;    nTime = 240;    break; 
        case   240: cTime = 240;   nTime = 1440;   break; 
        case  1440: cTime = 1440;  nTime = 10080;  break; 
        case 10080: cTime = 10080; nTime = 43200;  break; 
        case 43200: cTime = 43200; nTime = 43200;  break;               
      }
//----
    return(0);
  }
//+------------------------------------------------------------------+
//| Custor indicator deinitialization function                       |
//+------------------------------------------------------------------+
int deinit()
  {
//----
    return(0);
  }
//+------------------------------------------------------------------+
//| Custom indicator iteration function                              |
//+------------------------------------------------------------------+
int start()
  {
    int limit, limit2;
    int counted_bars = IndicatorCounted();
//---- check for possible errors
    if(counted_bars < 0) 
        return(-1);
//---- last counted bar will be recounted
    if(counted_bars > 0) 
        counted_bars--;
    limit = Bars - counted_bars;
    


//----
    for(int i=0; i<limit; i++)
      {
       
        apaBlueC   = iCustom(NULL,0,"#MTF AlaskanPipAssassin",cTime,1000,7,1.6,50.6,1,i);
        apaRedC    = iCustom(NULL,0,"#MTF AlaskanPipAssassin",cTime,1000,7,1.6,50.6,0,i);
        apaBlueN   = iCustom(NULL,0,"#MTF AlaskanPipAssassin",nTime,1000,7,1.6,50.6,1,i);
        apaRedN    = iCustom(NULL,0,"#MTF AlaskanPipAssassin",nTime,1000,7,1.6,50.6,0,i);
        
        adxcBlueC  = iCustom(NULL,0,"#MTF ADXcrossesNRP_Alert",cTime,false,0,i);
        adxcRedC   = iCustom(NULL,0,"#MTF ADXcrossesNRP_Alert",cTime,false,1,i);
        adxcBlueN  = iCustom(NULL,0,"#MTF ADXcrossesNRP_Alert",nTime,false,0,i);
        adxcRedN   = iCustom(NULL,0,"#MTF ADXcrossesNRP_Alert",nTime,false,1,i); 
        
        nShift       = iATR(NULL,0,100,i)*0.5;
        
        
        
        
        
        //----
        if ((adxcBlueC < adxcRedC || adxcBlueN < adxcRedN) && (apaBlueN < apaRedN && apaBlueC < apaRedC))
            ExtMapBuffer1[i] = Low[i] - nShift;
               
        
        if ((adxcBlueC > adxcRedC || adxcBlueN > adxcRedN) && (apaBlueN > apaRedN && apaBlueC > apaRedC))
            ExtMapBuffer2[i] = High[i] + nShift;
            
        
      }

    return(0);
  }
//+------------------------------------------------------------------+

